# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'oneday/version'

Gem::Specification.new do |spec|
  spec.name          = "oneday"
  spec.version       = Oneday::VERSION
  spec.authors       = ["Ma Lucheng"]
  spec.email         = ["teddy@javaer.me"]
  spec.summary       = %q{a command line note tool}
  spec.description   = %q{a dayone like command line tool}
  spec.homepage      = "http://oneday.javer.me"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
  spec.add_runtime_dependency "sequel" # used to connection to [sqlite] database
  spec.add_runtime_dependency "sqlite3" # default use sqlite3 as database
  spec.add_development_dependency "pry" # better than irb
  spec.add_runtime_dependency "thor" # command line interface
end
